Subject: Re: [bug#79162] bible software package

From: Gabriel Santos <[email-masked]>
Date: Sun, 03 Aug 2025 10:56:17 -0300

Em 2 de agosto de 2025 15:20:24 BRT, gfp <[email-masked]> escreveu:
>
>Hi Guix,
>I don't know if that is the right place to ask this question.
>If not, then sorry about it.
>
>I am asking if there are any plans to pack a bible software programme for Guix or somebody is going to deal with it?
>
>There are:
>
>E-Sword (which I was using in Windows)
>Xiphos  (which I was using in Linux)
>TheWord
>BibleWorks
>Logos Bibelsoftware
>and so on.
>
>I wrote this mail
>to let you know
>that at least I am interested in it.
>I know that some people are also interested in it.
>
>
>by the way:
>the Bible is the most read book in the world in every generation,
>that's why it is important for some people.

For anyone who wants to undertake this task (maybe me? not today, sorry), some info that
could be easily gathered, but good to have in one place:

# E-Sword

- Homepage: <https://www.e-sword.net/>
- Source: Unknown
- Build System: Unknown
- Dependencies: unknown
- License: Unknown

I couldn't find the source for this one. Seems to be freeware[1].

# Xiphos

- Homepage: <https://xiphos.org/>
- Source: <https://github.com/crosswire/xiphos>
- Build System: CMake
- Dependencies: GTK+ or GTK 3, WebKit, appstream-util, biblesync, dbus-glib,
desktop-file-validate, gconfmm, gtkhtml, intltool, itstool, libgsf, libuuid, libxml, minizip,
sword, xmllint, yelp-build
- License: gpl2+

# TheWord

- Homepage: <https://theword.net/>
- Source: Unavailable (per the license [2])
- Build System: Unknown
- Dependencies: Unknown
- License: Custom[2]

Free as in beer.

# BibleWorks

Discontinued[3].

# Logos

Subscription-based[4].

# Best Bet

Xiphos seems to be the option for packaging.

# Footnotes

[1] <https://www.gnu.org/philosophy/words-to-avoid.en.html#Freeware>
[2] <https://www.theword.net/index.php?license&l=english>
[3] <https://www.bibleworks.com/>
[4] <https://www.logos.com/configure/subscription>

# Closing Remarks

Regards,

-- 
Gabriel Santos